Create or update a market segment

put

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment/{id}

Creates or updates the market segment with the specified ID.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : MarketSegmentOracle
Type: object
Title: MarketSegmentOracle
The market segment resource.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Back to Top

Response

Supported Media Types

200 Response

The market segment was created or updated successfully.
Body ()
Root Schema : MarketSegmentOracle
Type: object
Title: MarketSegmentOracle
The market segment resource.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create or update a market segment by submitting a PUT request on the REST resource using cURL.

cURL Command

curl -u username:password -X PUT https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment -H 'Content-Type: application/json' -D @put_marketsegment.json | json_pp

Example of Request Body

The following shows the contents of the request body in JSON format.

{
  "id": "MS-3109730864",
  "name": "Students",
  "description": "Students Segment",
  "@type": "PlaceOracle",
  "validFor": {
    "startDateTime": "2025-09-12T00:00:00.000Z",
    "endDateTime": "2025-10-09T00:00:00.000Z"
  },
  "project": {
    "id": "P-2341675923-1758270057151",
    "name": "Retire Init3",
    "@type": "ProjectRef",
    "@referredType": "ProjectOracle"
  },
  "version": "1.0",
  "lifecycleStatus": "In design"
  
}

Example of Response Body

The following shows the contents of the response body in JSON format.

{
    "id": "MS-3109730864",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment/MS-3109730864",
    "name": "Students",
    "description": "Students Segment",
    "lifecycleStatus": "In design",
    "lastUpdate": "2025-10-23T08:09:44.080Z",
    "validFor": {
        "startDateTime": "2025-09-12T00:00:00.000Z",
        "endDateTime": "2025-10-09T00:00:00.000Z"
    },
    "version": "1.0",
    "@type": "MarketSegmentOracle",
    "project": {
        "id": "P-2341675923-1758270057151",
        "name": "Retire Init3",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-2341675923-1758270057151",
        "version": "1.0",
        "@referredType": "ProjectOracle",
        "@type": "ProjectRef"
    },
    "lastUpdatedBy": "booth",
    "created": "2025-10-23T08:09:44.000Z",
    "createdBy": "booth",
    "versionState": 0
}
Back to Top